png_writer.cpp File Reference

Implementation of the claw::graphic::png::writer class. More...

`#include <claw/png.hpp>`
`#include <claw/exception.hpp>`
`#include <claw/assert.hpp>`

Go to the source code of this file.

## Functions

void | claw__graphic__png__target_manager__write (png_structp png_ptr, png_bytep data, png_size_t length)
| Write data in the ouput stream.
void | claw__graphic__png__target_manager__flush (png_structp png_ptr)
| Flush the output stream.

## Detailed Description

Implementation of the claw::graphic::png::writer class.

Author
  Julien Jorge

Definition in file png_writer.cpp.

## Function Documentation

## claw__graphic__png__target_manager__flush()

void claw__graphic__png__target_manager__flush | ( | png_structp | png_ptr | ) |

Flush the output stream.

Parameters

  png_ptr | Informations about the PNG we are writing.

Definition at line 56 of file png_writer.cpp.

References claw::graphic::png::writer::target_manager::flush().

Referenced by claw::graphic::png::writer::save().

## claw__graphic__png__target_manager__write()

void claw__graphic__png__target_manager__write | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length )

Write data in the ouput stream.

Parameters

  png_ptr | Informations about the PNG we are writing.
  data | (out) Array of the bytes to write.
  length | Number of bytes to write.

Definition at line 42 of file png_writer.cpp.

References claw::graphic::png::writer::target_manager::write().

Referenced by claw::graphic::png::writer::save().